function omat=fzr3dv3(imat,sigf1,sigf2,ofst)
% *** Inject frequency zeros ***
% Y. Matsuki, September, 2008
% Y. Matsuki, May, 2012
% Y. Matsuki, July, 2014
% usage:
% omat=fzr3dv2(imat,sigf1,sigf2,sigf3)
% ========================================================
% tic
nr1=length(sigf1(:,1));
nr2=length(sigf2(:,1));
%nr3=length(sigf3(:,1));

omat=zeros(length(imat(:,1,1)),length(imat(1,:,1)),length(imat(1,1,:)));

omat=omat+ofst;


for p=1:nr1
omat(:,sigf1(p,1):sigf1(p,2),sigf2(p,1):sigf2(p,2))=...
imat(:,sigf1(p,1):sigf1(p,2),sigf2(p,1):sigf2(p,2));
end
% toc
